Refer an Entity

Last update: September 10, 2026
•
1 min to read

Refer one or more entities to another organization.

HTTP Method

POST

Endpoint

/api/data/write/ReferOrganizationDataWriter

Request URL

{Base URL}/api/data/write/ReferOrganizationDataWriter

Sample Request Body

{
  "Ids": [352, 351],
  "Comments": "<p>Test</p>",
  "OrganizationId": 2,
  "EntityName": "Investigation"
}

Parameters

Param NameData TypeDescription
IdsIntegerList of entity IDs to refer (for example, [352, 351]).
CommentsStringOptional comments to include with the referral.
OrganizationIdIntegerID of the organization to which the entities are referred.
EntityNameStringName of the entity type (for example, Investigation).

Missing or invalid credentials returns a 401 Unauthorized error.

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/write/ReferOrganizationDataWriter" \
     -H "Content-Type: application/json" \
     -d '{
       "Ids": [352, 351],
       "Comments": "<p>Test</p>",
       "OrganizationId": 2,
       "EntityName": "Investigation"
     }'

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/write/ReferOrganizationDataWriter" -H "Content-Type: application/json" -d "{\"Ids\":[352,351],\"Comments\":\"<p>Test</p>\",\"OrganizationId\":2,\"EntityName\":\"Investigation\"}"

Sample Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded.

Response Body:

{
    "ID": 352,
    "DataRow": {
        "RowError": "",
        "RowState": 2,
        "Table": [
            {
                "ID": 352,
                "Action": "UPDATED",
                "EntityTypeID": 11,
                "GUID": "f5273dc4-46ef-83b0-2b86-b5c2b2cb5c92"
            },
            {
                "ID": 351,
                "Action": "UPDATED",
                "EntityTypeID": 11,
                "GUID": "0d23a1ee-33d8-4ae8-3132-d0e60e15bc85"
            }
        ],
        "ItemArray": [
            352,
            "UPDATED",
            11,
            "f5273dc4-46ef-83b0-2b86-b5c2b2cb5c92"
        ],
        "HasErrors": false
    }
}